---
title: column-width
slug: Web/CSS/column-width
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>column-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the ideal column width in a multi-column layout.</span> The container will have as many columns as can fit without any of them having a width less than the <code>column-width</code> value. If the width of the container is narrower than the specified value, the single column's width will be smaller than the declared column width.</p>

<div>{{EmbedInteractiveExample("pages/css/column-width.html")}}</div>

<p>This property can help you create responsive designs that fit different screen sizes. Especially in the presence of the {{cssxref("column-count")}} property (which has precedence), you must specify all related length values to achieve an exact column width. In horizontal text these are {{cssxref('width')}}, {{cssxref('column-width')}}, {{cssxref('column-gap')}}, and {{cssxref('column-rule-width')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
column-width: auto;

/* &lt;length&gt; values */
column-width: 60px;
column-width: 15.5em;
column-width: 3.3vw;

/* Global values */
column-width: inherit;
column-width: initial;
column-width: unset;
</pre>

<p>The <code>column-width</code> property is specified as one of the values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Indicates the optimal column width. The actual column width may differ from the specified value: it may be wider when necessary to fill available space, and narrower when the available space is too small. The value must be strictly positive or the declaration is invalid. Percentage values are also invalid.</dd>
 <dt><code>auto</code></dt>
 <dd>The width of the column is determined by other CSS properties, such as {{cssxref("column-count")}}.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_column_width_in_pixels">Setting column width in pixels</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="content-box"&gt;
Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.
&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.content-box {
  column-width: 100px;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_column_width_in_pixels', 'auto', 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Sizing', '#column-sizing', 'column-width')}}</td>
   <td>{{Spec2('CSS3 Sizing')}}</td>
   <td>Adds intrinsic sizes via the keywords <code>min-content</code>, <code>max-content</code>, and <code>fit-content</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Multicol', '#cw', 'column-width')}}</td>
   <td>{{Spec2('CSS3 Multicol')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout">Multiple-column Layout</a> (Learn Layout)</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Columns/Basic_Concepts_of_Multicol">Basic Concepts of Multicol</a></li>
</ul>
